package com.yanzuoguang.mq.dao;


import com.yanzuoguang.dao.BaseDao;
import com.yanzuoguang.mq.vo.MessageVo;

import java.util.List;

/**
 * 日志接口基本操作类
 * @author 颜佐光
 */
public interface MessageDao extends BaseDao {


    /**
     * 给数据库数据打上批次
     *
     * @param batchId 批次编号
     * @param size    批次大小
     * @return 打上批次的数据的长度
     */
    int updateBatch(String batchId, int size);

    /**
     * 获取批次数据
     *
     * @param batchId 批次编号
     * @return 获取的数据列表
     */
    List<MessageVo> getListByBatch(String batchId);
}
